Search Discover sessions
- Base URL
-
https://{kibana_url}
- GET /api/discover_sessions
- GET /s/{space_id}/api/discover_sessions
Returns a paginated summary list of Discover sessions. Use GET /api/discover_sessions/{id} for the full session state.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Query parameters
-
querystring · max length: 1000 -
Full-text search (
simple_query_string) overtitleanddescription. All terms must match. -
tagsstring[] · max items: 100 · default: [] -
A tag ID to include. Accepts a single tag ID or multiple tag IDs. When multiple are specified, Discover sessions matching any of the tag IDs are included.
-
excluded_tagsstring[] · max items: 100 · default: [] -
A tag ID to exclude. Accepts a single tag ID or multiple tag IDs. When multiple are specified, Discover sessions matching any of the tag IDs are excluded.
-
tag_namesstring[] · max items: 100 -
A tag name to include. Accepts a single tag name or multiple tag names. When multiple are specified, Discover sessions matching any of the tag names are included. If the same name is shared by multiple tags, sessions matching any of those tags are included.
-
excluded_tag_namesstring[] · max items: 100 -
A tag name to exclude. Accepts a single tag name or multiple tag names. When multiple are specified, Discover sessions matching any of the tag names are excluded. If the same name is shared by multiple tags, sessions matching any of those tags are excluded.
Responses
Success
Invalid request
Internal server error